For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
  • Accounts receivable
      • GETGet receivables
      • POSTSearch receivables
      • POSTCreate a receivable
      • POSTClone a receivable
      • GETGet a receivable by ID
      • PATCHUpdate a receivable
      • PUTUpdate the line items of a receivable
      • POSTVerify a receivable
      • POSTIssue a receivable
      • GETGet a link to the PDF version of a receivable
      • DELDelete a receivable
        • GETGet required field names for invoice creation
        • POSTMark an invoice as paid
        • POSTMark an invoice as partially paid
        • POSTMark an invoice as uncollectible
        • POSTCancel an invoice
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
Accounts receivableReceivables (invoices, quotes, credit notes)Invoices

Mark an invoice as partially paid

Deprecated
POST
/receivables/:receivable_id/mark_as_partially_paid
POST
/v1/receivables/:receivable_id/mark_as_partially_paid
$curl -X POST https://api.sandbox.monite.com/v1/receivables/receivable_id/mark_as_partially_paid \
> -H "x-monite-version: 2023-09-01" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "amount_paid": 1
>}'
1{
2 "type": "quote",
3 "counterpart_address": {
4 "city": "Berlin",
5 "country": "AF",
6 "line1": "Flughafenstrasse 52",
7 "postal_code": "10115",
8 "line2": "line2",
9 "state": "state"
10 },
11 "counterpart_id": "counterpart_id",
12 "counterpart_type": "individual",
13 "created_at": "2024-01-15T09:30:00Z",
14 "currency": "AED",
15 "entity": {
16 "type": "organization",
17 "name": "name",
18 "email": "email",
19 "logo": "logo",
20 "phone": "phone",
21 "registration_authority": "registration_authority",
22 "registration_number": "registration_number",
23 "tax_id": "tax_id",
24 "vat_id": "vat_id",
25 "website": "website"
26 },
27 "entity_address": {
28 "city": "city",
29 "line1": "line1",
30 "postal_code": "postal_code",
31 "country": "AF",
32 "line2": "line2",
33 "state": "state"
34 },
35 "file_language": "ab",
36 "id": "id",
37 "line_items": [
38 {
39 "product": {
40 "id": "id",
41 "created_at": "2024-01-15T09:30:00Z",
42 "updated_at": "2024-01-15T09:30:00Z",
43 "entity_id": "entity_id",
44 "name": "name",
45 "price": {
46 "currency": "AED",
47 "value": 1
48 },
49 "price_after_vat": {
50 "currency": "AED",
51 "value": 1
52 },
53 "vat_rate": {
54 "id": "id",
55 "created_at": "2024-01-15T09:30:00Z",
56 "updated_at": "2024-01-15T09:30:00Z",
57 "country": "AF",
58 "value": 1,
59 "components": [
60 {
61 "name": "name",
62 "value": 1.1
63 }
64 ],
65 "status": "active",
66 "valid_from": "valid_from",
67 "valid_until": "valid_until",
68 "created_by": "monite"
69 },
70 "accounting_tax_rate_id": "accounting_tax_rate_id",
71 "description": "description",
72 "entity_user_id": "entity_user_id",
73 "external_reference": "HT-1234-S-BL",
74 "is_inline": true,
75 "ledger_account_id": "ledger_account_id",
76 "measure_unit": {
77 "created_at": "2024-01-15T09:30:00Z",
78 "updated_at": "2024-01-15T09:30:00Z",
79 "name": "name",
80 "id": "id",
81 "description": "description"
82 },
83 "measure_unit_id": "measure_unit_id",
84 "smallest_amount": 1.1,
85 "type": "product"
86 },
87 "quantity": 1.1,
88 "total_after_vat": 1,
89 "total_before_vat": 1,
90 "discount": {
91 "amount": 1,
92 "type": "amount"
93 },
94 "tax_status": "taxable"
95 }
96 ],
97 "original_file_language": "ab",
98 "status": "draft",
99 "total_vat_amount": 1,
100 "updated_at": "2024-01-15T09:30:00Z",
101 "attachments": [
102 {
103 "id": "id",
104 "mimetype": "mimetype",
105 "name": "name",
106 "size": 1,
107 "url": "url",
108 "include_in_email": true
109 }
110 ],
111 "based_on": "based_on",
112 "based_on_document_id": "based_on_document_id",
113 "comment": "comment",
114 "commercial_condition_description": "commercial_condition_description",
115 "counterpart_billing_address": {
116 "city": "Berlin",
117 "country": "AF",
118 "line1": "Flughafenstrasse 52",
119 "postal_code": "10115",
120 "line2": "line2",
121 "state": "state"
122 },
123 "counterpart_business_type": "counterpart_business_type",
124 "counterpart_contact": {
125 "address": {
126 "city": "Berlin",
127 "country": "AF",
128 "line1": "Flughafenstrasse 52",
129 "postal_code": "10115",
130 "line2": "line2",
131 "state": "state"
132 },
133 "first_name": "Marge",
134 "last_name": "Smith",
135 "email": "marge@example.org",
136 "phone": "55512378654",
137 "title": "Dr."
138 },
139 "counterpart_external_reference": "counterpart_external_reference",
140 "counterpart_name": "counterpart_name",
141 "counterpart_shipping_address": {
142 "city": "Berlin",
143 "country": "AF",
144 "line1": "Flughafenstrasse 52",
145 "postal_code": "10115",
146 "line2": "line2",
147 "state": "state"
148 },
149 "counterpart_tax_id": "counterpart_tax_id",
150 "counterpart_vat_id": {
151 "id": "id",
152 "counterpart_id": "counterpart_id",
153 "value": "123456789",
154 "country": "AF",
155 "type": "ae_trn"
156 },
157 "deductions": [
158 {
159 "amount": 1,
160 "name": "name",
161 "memo": "memo"
162 }
163 ],
164 "discount": {
165 "amount": 1,
166 "type": "amount",
167 "value": 1
168 },
169 "discounted_subtotal": 1,
170 "document_id": "document_id",
171 "document_rendering": {
172 "credit_note": {
173 "display_entity_bank_account": true
174 },
175 "display_entity_bank_account": true,
176 "display_line_items": true,
177 "invoice": {
178 "display_entity_bank_account": true
179 },
180 "line_items": {
181 "discount": {
182 "display": true,
183 "label": "label"
184 },
185 "measure_unit": {
186 "display": true,
187 "label": "label"
188 },
189 "name": {
190 "display": true,
191 "label": "label"
192 },
193 "price": {
194 "display": true,
195 "label": "label",
196 "precision": 1
197 },
198 "price_after_vat": {
199 "display": true,
200 "label": "label",
201 "precision": 1
202 },
203 "quantity": {
204 "display": true,
205 "label": "label"
206 },
207 "total_price": {
208 "display": true,
209 "label": "label",
210 "precision": 1
211 },
212 "total_price_after_vat": {
213 "display": true,
214 "label": "label",
215 "precision": 1
216 },
217 "vat_amount": {
218 "display": true,
219 "label": "label",
220 "precision": 1
221 },
222 "vat_rate": {
223 "display": true,
224 "label": "label",
225 "precision": 1
226 }
227 },
228 "quote": {
229 "display_entity_bank_account": true,
230 "display_signature": true
231 }
232 },
233 "due_date": "due_date",
234 "einvoice_file_url": "einvoice_file_url",
235 "entity_bank_account": {
236 "id": "id",
237 "account_holder_name": "account_holder_name",
238 "account_number": "account_number",
239 "bank_name": "bank_name",
240 "bic": "bic",
241 "country": "AF",
242 "currency": "AED",
243 "display_name": "display_name",
244 "iban": "iban",
245 "is_default": true,
246 "routing_number": "routing_number",
247 "sort_code": "sort_code",
248 "was_created_by_user_id": "was_created_by_user_id"
249 },
250 "entity_user_id": "entity_user_id",
251 "entity_vat_id": {
252 "id": "id",
253 "country": "AF",
254 "entity_id": "entity_id",
255 "value": "123456789",
256 "type": "ae_trn"
257 },
258 "expiry_date": "expiry_date",
259 "file": {
260 "id": "id",
261 "created_at": "2024-01-15T09:30:00Z",
262 "file_type": "payables",
263 "md5": "31d1a2dd1ad3dfc39be849d70a68dac0",
264 "mimetype": "application/pdf",
265 "name": "invoice.pdf",
266 "region": "eu-central-1",
267 "size": 24381,
268 "url": "https://bucketname.s3.amazonaws.com/12345/67890.pdf",
269 "pages": [
270 {
271 "id": "id",
272 "mimetype": "image/png",
273 "number": 0,
274 "size": 21972,
275 "url": "https://bucket.s3.amazonaws.com/123/456.png"
276 }
277 ],
278 "previews": [
279 {
280 "height": 400,
281 "url": "https://bucketname.s3.amazonaws.com/1/2/3.png",
282 "width": 200
283 }
284 ]
285 },
286 "file_url": "file_url",
287 "footer": "footer",
288 "issue_date": "2024-01-15T09:30:00Z",
289 "memo": "memo",
290 "original_file_url": "original_file_url",
291 "partner_metadata": {
292 "key": "value"
293 },
294 "project_id": "project_id",
295 "quote_accept_page_url": "quote_accept_page_url",
296 "signature_required": true,
297 "subtotal": 1,
298 "subtotal_after_vat": 1,
299 "tags": [
300 {
301 "id": "ea837e28-509b-4b6a-a600-d54b6aa0b1f5",
302 "created_at": "2022-09-07T16:35:18Z",
303 "updated_at": "2022-09-07T16:35:18Z",
304 "name": "Marketing",
305 "category": "document_type",
306 "created_by_entity_user_id": "ea837e28-509b-4b6a-a600-d54b6aa0b1f5",
307 "description": "Tag for the Marketing Department"
308 }
309 ],
310 "total_amount": 1,
311 "total_deduction_amount": 1,
312 "total_vat_amounts": [
313 {
314 "amount": 1,
315 "taxable_amount": 1,
316 "value": 1,
317 "id": "id",
318 "components": [
319 {
320 "amount": 1,
321 "name": "name",
322 "value": 1.1
323 }
324 ],
325 "name": "name"
326 }
327 ],
328 "total_withholding_tax": 1,
329 "trade_name": "trade_name",
330 "vat_exempt": true,
331 "vat_exemption_rationale": "vat_exemption_rationale",
332 "vat_inclusive_discount_mode": "exclusive",
333 "vat_mode": "exclusive",
334 "withholding_tax_rate": 1,
335 "deduction_amount": 1,
336 "deduction_memo": "deduction_memo"
337}

Deprecated. Use POST /payment_records to record an invoice payment.

Was this page helpful?
Previous

Mark an invoice as uncollectible

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

receivable_idstringRequired

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Request

This endpoint expects an object.
amount_paidintegerRequired>=1

How much has been paid on the invoice (in minor units).

commentstringOptional
Optional comment explaining how the payment was made.

Response

Successful Response
quoteobject
OR
invoiceobject
OR
credit_noteobject

Errors

400
Post Receivables ID Mark as Partially Paid Request Bad Request Error
401
Post Receivables ID Mark as Partially Paid Request Unauthorized Error
403
Post Receivables ID Mark as Partially Paid Request Forbidden Error
404
Post Receivables ID Mark as Partially Paid Request Not Found Error
409
Post Receivables ID Mark as Partially Paid Request Conflict Error
422
Post Receivables ID Mark as Partially Paid Request Unprocessable Entity Error
500
Post Receivables ID Mark as Partially Paid Request Internal Server Error